{namespace drk=DrkService\DrkAddresses\ViewHelpers}
<f:layout name="Default" />

<f:section name="content">
	<f:if condition="{results}">
		<f:then></f:then>
		<f:else>
			<p>{f:translate(id: 'search.description')}</p>
			<p>{f:translate(id: 'search.descriptionSecond')}</p>
		</f:else>
	</f:if>

	<div>
		<f:form method="get" name="adr-searchform_big" id="adr-searchform_big" class="o-form" pageUid="{settings.pIdSearchResult}">
			<div class="o-form__item-group">
				<div class="o-form__item t-medium-12 columns">
					<f:form.textfield
						name="sword"
						class="o-form__field o-form__field--text js-check-has-value"
						id="tx-addresses-searchbox-sword-{data.uid}" value="{sword}"/>
					<label for="tx-addresses-searchbox-sword-{data.uid}" class="o-form__label powermail_label" title="{f:translate(id: 'search.plz.label')}">
						{f:translate(id: 'search.plz.label')}
					</label>
				</div>

				<div class="o-form__item   t-medium-12   columns   is-last-in-row">
					<f:form.submit
						name="submit_button"
						value="{f:translate(id: 'search.sword.submit')}"
						id="tx-addresses-searchbox-button-submit"
                        class="button button--primary o-btn o-btn--full" />
				</div>
			</div>
		</f:form>
	</div>

	<f:if condition="{results}">
		<f:then>
			<f:format.raw>
					<p>{f:translate(id: 'search.result.info', arguments: '{0: sword}')}</p>
					<ul class="c-addresses-search__result-list">
                        <f:for each="{pagination.paginator.paginatedItems}" as="organisation" iteration="iterator">
                            <f:render partial="AddressItem" arguments="{organisation:organisation}" />
                        </f:for>
					</ul>
                    <f:render partial="Map" arguments="{paginatedResults: pagination.paginator.paginatedItems}"/>
                    <f:render partial="Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator, actionName: 'search'}" />
			</f:format.raw>
		</f:then>
		<f:else>
			<f:if condition="{sword}">
				<f:then>
					<f:if condition="{error}">
						<f:then>
							<p>{f:translate(id: 'search.result.error')}</p>
						</f:then>

						<f:else>
							<p>{f:translate(id: 'search.result.noresults')}</p>
						</f:else>
					</f:if>
				</f:then>
			</f:if>
		</f:else>
	</f:if>
</f:section>
